Channels

Read List

GET https://interay.io/api/v1/channels/list

Read device or product parent channels

type

object

properties

  • device

The device unique identifier. Device Unique ID / Device External key

type

string (UUID) / string

  • entity

The parent unique identifier. Product Unique ID / Device Unique ID

type

string (UUID)

Response

type

object

properties

  • buses

type

array

items

Bus

type

object

properties

  • uid

Unique ID

type

string (UUID)

  • name

Name

type

string

  • key

External key

type

string

  • type

Type

enum

can, modbus

oneOf

Type: can

properties

  • bitrate

Bit rate

type

number

Type: modbus

properties

  • baudrate

Baud rate

type

number

  • databits

Data bits

type

number

  • parity

Parity

enum

none, odd, even, mark, space

  • stopbits

Stop bits

enum

none, one, two, onePointFive

  • channels

type

array

items

Channel

type

object

properties

  • uid

Unique ID

type

string (UUID)

  • group

Display category

type

string

  • name

Name

type

string

  • key

External key

type

string

  • type

Type

enum

analogInput, analogOutput, can, custom, digitalInput, digitalOutput, location, modbus

  • aggregate

Aggregate for Read

enum

derivative.1s, derivative.1m, derivative.1h, last, max, mean, min

  • aggregateLast

Aggregate for Read Last

enum

derivative.1s, derivative.1m, derivative.1h, last

  • order

Display order

type

number

  • scaleGain

Scale factor

type

number

  • scaleOffset

Scale offset

type

number

  • scanInterval

Scan interval

type

number (ms)

  • transmits

Transmit events

type

array

items

Transmit event

type

object

properties

  • type

Type

enum

change, delta, interval, threshold

oneOf

Type: delta

properties

  • delta

Transmit minimal change

type

number

Type: interval

properties

  • interval

Transmit interval

type

number

Type: threshold

properties

  • hysteresis

Transmit hysteresis

type

number

  • threshold

Transmit threshold

type

number

  • unit

Display unit

type

string

  • visible

Visible

type

boolean

oneOf

Type: analogInput / analogOutput

properties

  • pin

Pin number

type

number

Type: can

properties

  • canId

CAN ID

type

number

  • protocol

Protocol

type

object

properties

  • type

Type

enum

cattron, j1939

oneOf

Type: cattron

properties

  • databaseParameterAddress

Database parameter address

type

number

  • readOnly

Read only

type

boolean

Type: j1939

properties

  • databaseParameterAddress

Database parameter address

type

number

  • readOnly

Read only

type

boolean

  • pgn

Parameter Group Number (PGN)

type

number

  • priority

Priority

type

number

  • sourceAddress

Source Address

type

number

  • bus

Bus

type

string

  • dataOffset

Data offset

type

number

  • dataOrder

Data order

enum

littleEndian, bigEndian

  • dataSize

Data size

type

number

  • dataType

Data type

enum

bool, int8, uint8, int16, uint16, int32, uint32, int64, uint64, float32, float64, siemensTotalType

Type: custom

properties

  • customMetricType

Custom type

enum

boolean, decimal, number

  • readOnly

Read only

type

boolean

Type: digitalInput / digitalOutput

properties

  • pin

Pin number

type

number

Type: location

properties

  • timeout

Timeout

type

number (ms)

Type: modbus

properties

  • deviceAddress

Device address

type

number

  • registerType

Register type

enum

discreteInput, coil, inputRegister, holdingRegister

  • registerAddress

Register address

type

number

  • bus

Bus

type

string

  • dataOffset

Data offset

type

number

  • dataOrder

Data order

enum

littleEndian, bigEndian

  • dataSize

Data size

type

number

  • dataType

Data type

enum

bool, int8, uint8, int16, uint16, int32, uint32, int64, uint64, float32, float64, siemensTotalType

Notes

  1. Request device and entity are mutually exclusive.

  2. Response channel type can property bus is the Bus External key.

  3. Response channel type modbus property bus is the Bus External key.

  4. Response transmits may be empty and means always transmit at Scan interval.

Example request

GET https://interay.io/api/v1/channels/list?entity=00000000-0000-0000-0000-000000000000
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Example response

200 OK
Content-Type: application/json
{
        "buses": [
                {
                        "bitrate": 500000,
                        "uid": "11111111-1111-1111-1111-111111111111",
                        "key": "can_1",
                        "name": "CAN 1",
                        "type": "can"
                }
        ],
        "channels": [
                {
                        "canId": 67108863,
                        "protocol": {
                                "pgn": 262143,
                                "priority": 0,
                                "sourceAddress": 255,
                                "type": "j1939"
                        },
                        "bus": "can_1",
                        "dataOffset": 0,
                        "dataOrder": "littleEndian",
                        "dataSize": 16,
                        "dataType": "uint16",
                        "uid": "22222222-2222-2222-2222-222222222222",
                        "aggregated": "mean",
                        "aggregatedLast": "last",
                        "group": "CAN",
                        "key": "channel_1",
                        "name": "Channel 1",
                        "order": 0,
                        "scaleGain": 1.0,
                        "scaleOffset": 0.0,
                        "scanInterval": 3600000,
                        "type": "can",
                        "visible": true
                }
        ]
}